Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Padparameters
name
string
vereist
Name of the model.
version
string
vereist
Version of the model.
Aanvraagbody
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
vereist
The type of pending upload. Only TemporaryBlobReference is supported for models.
Antwoorden
The request has succeeded.
Hoofdtekst
blobReference
BlobReference
vereist
Blob reference details.
blobUri
string
vereist
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
vereist
ARM ID of the storage account to use.
credential
SasCredential
vereist
SAS Credential definition
sasUri
string
vereist
SAS uri
type
enum
vereist
Type of credential
pendingUploadId
string
vereist
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
vereist
The type of pending upload. Only TemporaryBlobReference is supported for models.
Aanvraag
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json